# -*- coding: utf-8 -*-
#
# This application is released under the GNU General Public License 
# v3 (or, at your option, any later version). You can find the full 
# text of the license under http://www.gnu.org/licenses/gpl.txt
# By using, editing and/or distributing this software you agree to 
# the terms and conditions of this license.
#_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

def getTrack(file):
    """ Return a Track created from an asf file """
    from mutagen.asf import ASF

    asfFile = ASF(filename)

    length     = int(round(asfFile.info.length))
    bitrate    = int(asfFile.info.bitrate)
    samplerate = int(asfFile.info.sample_rate)

    try:    artist = str(asfFile['Author'][0])
    except: artist = None

    try:    album = str(asfFile['WM/AlbumTitle'][0])
    except: album = None

    try:    title = str(asfFile['Title'][0])
    except: title = None

    try:    number = str(asfFile['WM/TrackNumber'][0])
    except: number = None

    try:    date = str(asfFile['WM/Year'][0])
    except: date = None

    try:    genre = str(asfFile['WM/Genre'][0])
    except: genre = None

    return filename, length, bitrate, artist, album, title
